Skip to main content
GET
/
v1
/
funds
/
{id}
/
collaborators
List fund collaborators
curl --request GET \
  --url https://api.endaoment.org/v1/funds/{id}/collaborators \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "collaboratorUserId": "123e4567-e89b-12d3-a456-426614174000",
    "fundId": "123e4567-e89b-12d3-a456-426614174000",
    "createdAtUtc": "2026-02-11T14:32:10.123Z",
    "email": "john.doe@example.com",
    "firstName": "John",
    "lastName": "Doe"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The unique identifier of the fund

Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

List of fund collaborators successfully retrieved

id
string
required

Unique identifier of the collaboration relationship

Example:

"123e4567-e89b-12d3-a456-426614174000"

collaboratorUserId
string
required

Unique identifier of the collaborator

Example:

"123e4567-e89b-12d3-a456-426614174000"

fundId
string
required

Unique identifier of the fund

Example:

"123e4567-e89b-12d3-a456-426614174000"

createdAtUtc
string<date-time>
required

UTC timestamp when this collaborator relationship was created

Example:

"2026-02-11T14:32:10.123Z"

email
string
required

Email address of the collaborator

Example:

"john.doe@example.com"

firstName
string
required

First name of the collaborator

Example:

"John"

lastName
string
required

Last name of the collaborator

Example:

"Doe"